{% if radius_instance == 'wlan' %}
sql {
        dialect = "postgresql"
        driver = "rlm_sql_postgresql"
        postgresql {
                send_application_name = yes
        }

        server = "localhost"
        port = 5432
        login = "radius_reader"
        password = "{{ passwords.freeradius_postgres_radius_reader }}"
        radius_db = "radius"

{% raw %}
        sql_user_name = "%{%{Stripped-User-Name}:-%{%{User-Name}:-none}}"
 	    authcheck_table = radcheck
        authorize_check_query = "\
        SELECT id, UserName, Attribute, Value, Op \
        FROM ${authcheck_table} \
        WHERE Username = '%{SQL-User-Name}' \
        ORDER BY id"

        group_membership_query = "SELECT id from ${authcheck_table}"

        # Read database-specific queries
        # $INCLUDE ${modconfdir}/${.:name}/main/${dialect}/queries.conf
}

{% endraw %}
{% endif %}
